import{s as Qe,n as Xe,o as Ye}from"../chunks/scheduler.9bc65507.js";import{S as Ze,i as et,g as l,s as n,r as m,A as tt,h as o,f as t,c as s,j as $,u as i,x as w,k as v,y as d,a,v as f,d as c,t as u,w as p}from"../chunks/index.707bf1b6.js";import{D as _}from"../chunks/Docstring.17db21ae.js";import{H as ae}from"../chunks/Heading.342b1fa6.js";function rt(Se){let h,ne,te,se,C,le,P,ke="This page lists all of Transformers general utility functions that are found in the file <code>utils.py</code>.",oe,T,He="Most of those are only useful if you are studying the general code in the library.",me,L,ie,b,D,Te,R,qe="Enum with more explicit error message for missing values.",de,y,M,Le,J,Ue=`Possible values for the <code>padding</code> argument in <a href="/docs/transformers/main/en/model_doc/wav2vec2_phoneme#transformers.Wav2Vec2PhonemeCTCTokenizer.__call__">PreTrainedTokenizerBase.<strong>call</strong>()</a>. Useful for tab-completion in an
IDE.`,fe,x,z,De,Q,je=`Possible values for the <code>return_tensors</code> argument in <a href="/docs/transformers/main/en/model_doc/wav2vec2_phoneme#transformers.Wav2Vec2PhonemeCTCTokenizer.__call__">PreTrainedTokenizerBase.<strong>call</strong>()</a>. Useful for
tab-completion in an IDE.`,ce,I,ue,V,S,pe,k,H,ge,q,U,$e,j,A,ve,B,G,_e,O,he,g,W,Me,X,Ae="Descriptor that mimics @property but caches output in member variable.",ze,Y,Be="From tensorflow_datasets",Ie,Z,Ge="Built-in in functools from Python 3.8.",be,F,ye,N,K,Ve,ee,Oe="Module class that surfaces all objects but only performs associated imports when the objects are requested.",xe,re,Ne;return C=new ae({props:{title:"General Utilities",local:"general-utilities",headingTag:"h1"}}),L=new ae({props:{title:"Enums and namedtuples",local:"transformers.utils.ExplicitEnum",headingTag:"h2"}}),D=new _({props:{name:"class transformers.utils.ExplicitEnum",anchor:"transformers.utils.ExplicitEnum",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/generic.py#L448"}}),M=new _({props:{name:"class transformers.utils.PaddingStrategy",anchor:"transformers.utils.PaddingStrategy",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/generic.py#L460"}}),z=new _({props:{name:"class transformers.TensorType",anchor:"transformers.TensorType",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/generic.py#L471"}}),I=new ae({props:{title:"Special Decorators",local:"transformers.add_start_docstrings",headingTag:"h2"}}),S=new _({props:{name:"transformers.add_start_docstrings",anchor:"transformers.add_start_docstrings",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L23"}}),H=new _({props:{name:"transformers.utils.add_start_docstrings_to_model_forward",anchor:"transformers.utils.add_start_docstrings_to_model_forward",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L31"}}),U=new _({props:{name:"transformers.add_end_docstrings",anchor:"transformers.add_end_docstrings",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L53"}}),A=new _({props:{name:"transformers.utils.add_code_sample_docstrings",anchor:"transformers.utils.add_code_sample_docstrings",parameters:[{name:"*docstr",val:""},{name:"processor_class",val:" = None"},{name:"checkpoint",val:" = None"},{name:"output_type",val:" = None"},{name:"config_class",val:" = None"},{name:"mask",val:" = '[MASK]'"},{name:"qa_target_start_index",val:" = 14"},{name:"qa_target_end_index",val:" = 15"},{name:"model_cls",val:" = None"},{name:"modality",val:" = None"},{name:"expected_output",val:" = None"},{name:"expected_loss",val:" = None"},{name:"real_checkpoint",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L1064"}}),G=new _({props:{name:"transformers.utils.replace_return_docstrings",anchor:"transformers.utils.replace_return_docstrings",parameters:[{name:"output_type",val:" = None"},{name:"config_class",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L1152"}}),O=new ae({props:{title:"Special Properties",local:"transformers.utils.cached_property",headingTag:"h2"}}),W=new _({props:{name:"class transformers.utils.cached_property",anchor:"transformers.utils.cached_property",parameters:[{name:"fget",val:" = None"},{name:"fset",val:" = None"},{name:"fdel",val:" = None"},{name:"doc",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/generic.py#L36"}}),F=new ae({props:{title:"Other Utilities",local:"transformers.utils._LazyModule",headingTag:"h2"}}),K=new _({props:{name:"class transformers.utils._LazyModule",anchor:"transformers.utils._LazyModule",parameters:[{name:"name",val:""},{name:"module_file",val:""},{name:"import_structure",val:""},{name:"module_spec",val:" = None"},{name:"extra_objects",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/import_utils.py#L1304"}}),{c(){h=l("meta"),ne=n(),te=l("p"),se=n(),m(C.$$.fragment),le=n(),P=l("p"),P.innerHTML=ke,oe=n(),T=l("p"),T.textContent=He,me=n(),m(L.$$.fragment),ie=n(),b=l("div"),m(D.$$.fragment),Te=n(),R=l("p"),R.textContent=qe,de=n(),y=l("div"),m(M.$$.fragment),Le=n(),J=l("p"),J.innerHTML=Ue,fe=n(),x=l("div"),m(z.$$.fragment),De=n(),Q=l("p"),Q.innerHTML=je,ce=n(),m(I.$$.fragment),ue=n(),V=l("div"),m(S.$$.fragment),pe=n(),k=l("div"),m(H.$$.fragment),ge=n(),q=l("div"),m(U.$$.fragment),$e=n(),j=l("div"),m(A.$$.fragment),ve=n(),B=l("div"),m(G.$$.fragment),_e=n(),m(O.$$.fragment),he=n(),g=l("div"),m(W.$$.fragment),Me=n(),X=l("p"),X.textContent=Ae,ze=n(),Y=l("p"),Y.textContent=Be,Ie=n(),Z=l("p"),Z.textContent=Ge,be=n(),m(F.$$.fragment),ye=n(),N=l("div"),m(K.$$.fragment),Ve=n(),ee=l("p"),ee.textContent=Oe,xe=n(),re=l("p"),this.h()},l(e){const r=tt("svelte-u9bgzb",document.head);h=o(r,"META",{name:!0,content:!0}),r.forEach(t),ne=s(e),te=o(e,"P",{}),$(te).forEach(t),se=s(e),i(C.$$.fragment,e),le=s(e),P=o(e,"P",{"data-svelte-h":!0}),w(P)!=="svelte-1d4d2gz"&&(P.innerHTML=ke),oe=s(e),T=o(e,"P",{"data-svelte-h":!0}),w(T)!=="svelte-11r0tff"&&(T.textContent=He),me=s(e),i(L.$$.fragment,e),ie=s(e),b=o(e,"DIV",{class:!0});var we=$(b);i(D.$$.fragment,we),Te=s(we),R=o(we,"P",{"data-svelte-h":!0}),w(R)!=="svelte-u4x3ci"&&(R.textContent=qe),we.forEach(t),de=s(e),y=o(e,"DIV",{class:!0});var Ee=$(y);i(M.$$.fragment,Ee),Le=s(Ee),J=o(Ee,"P",{"data-svelte-h":!0}),w(J)!=="svelte-11l30zn"&&(J.innerHTML=Ue),Ee.forEach(t),fe=s(e),x=o(e,"DIV",{class:!0});var Ce=$(x);i(z.$$.fragment,Ce),De=s(Ce),Q=o(Ce,"P",{"data-svelte-h":!0}),w(Q)!=="svelte-xoa3zf"&&(Q.innerHTML=je),Ce.forEach(t),ce=s(e),i(I.$$.fragment,e),ue=s(e),V=o(e,"DIV",{class:!0});var We=$(V);i(S.$$.fragment,We),We.forEach(t),pe=s(e),k=o(e,"DIV",{class:!0});var Fe=$(k);i(H.$$.fragment,Fe),Fe.forEach(t),ge=s(e),q=o(e,"DIV",{class:!0});var Ke=$(q);i(U.$$.fragment,Ke),Ke.forEach(t),$e=s(e),j=o(e,"DIV",{class:!0});var Re=$(j);i(A.$$.fragment,Re),Re.forEach(t),ve=s(e),B=o(e,"DIV",{class:!0});var Je=$(B);i(G.$$.fragment,Je),Je.forEach(t),_e=s(e),i(O.$$.fragment,e),he=s(e),g=o(e,"DIV",{class:!0});var E=$(g);i(W.$$.fragment,E),Me=s(E),X=o(E,"P",{"data-svelte-h":!0}),w(X)!=="svelte-4cuoeh"&&(X.textContent=Ae),ze=s(E),Y=o(E,"P",{"data-svelte-h":!0}),w(Y)!=="svelte-1mfkm3t"&&(Y.textContent=Be),Ie=s(E),Z=o(E,"P",{"data-svelte-h":!0}),w(Z)!=="svelte-1x2w0p5"&&(Z.textContent=Ge),E.forEach(t),be=s(e),i(F.$$.fragment,e),ye=s(e),N=o(e,"DIV",{class:!0});var Pe=$(N);i(K.$$.fragment,Pe),Ve=s(Pe),ee=o(Pe,"P",{"data-svelte-h":!0}),w(ee)!=="svelte-tjmjug"&&(ee.textContent=Oe),Pe.forEach(t),xe=s(e),re=o(e,"P",{}),$(re).forEach(t),this.h()},h(){v(h,"name","hf:doc:metadata"),v(h,"content",at),v(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(g,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){d(document.head,h),a(e,ne,r),a(e,te,r),a(e,se,r),f(C,e,r),a(e,le,r),a(e,P,r),a(e,oe,r),a(e,T,r),a(e,me,r),f(L,e,r),a(e,ie,r),a(e,b,r),f(D,b,null),d(b,Te),d(b,R),a(e,de,r),a(e,y,r),f(M,y,null),d(y,Le),d(y,J),a(e,fe,r),a(e,x,r),f(z,x,null),d(x,De),d(x,Q),a(e,ce,r),f(I,e,r),a(e,ue,r),a(e,V,r),f(S,V,null),a(e,pe,r),a(e,k,r),f(H,k,null),a(e,ge,r),a(e,q,r),f(U,q,null),a(e,$e,r),a(e,j,r),f(A,j,null),a(e,ve,r),a(e,B,r),f(G,B,null),a(e,_e,r),f(O,e,r),a(e,he,r),a(e,g,r),f(W,g,null),d(g,Me),d(g,X),d(g,ze),d(g,Y),d(g,Ie),d(g,Z),a(e,be,r),f(F,e,r),a(e,ye,r),a(e,N,r),f(K,N,null),d(N,Ve),d(N,ee),a(e,xe,r),a(e,re,r),Ne=!0},p:Xe,i(e){Ne||(c(C.$$.fragment,e),c(L.$$.fragment,e),c(D.$$.fragment,e),c(M.$$.fragment,e),c(z.$$.fragment,e),c(I.$$.fragment,e),c(S.$$.fragment,e),c(H.$$.fragment,e),c(U.$$.fragment,e),c(A.$$.fragment,e),c(G.$$.fragment,e),c(O.$$.fragment,e),c(W.$$.fragment,e),c(F.$$.fragment,e),c(K.$$.fragment,e),Ne=!0)},o(e){u(C.$$.fragment,e),u(L.$$.fragment,e),u(D.$$.fragment,e),u(M.$$.fragment,e),u(z.$$.fragment,e),u(I.$$.fragment,e),u(S.$$.fragment,e),u(H.$$.fragment,e),u(U.$$.fragment,e),u(A.$$.fragment,e),u(G.$$.fragment,e),u(O.$$.fragment,e),u(W.$$.fragment,e),u(F.$$.fragment,e),u(K.$$.fragment,e),Ne=!1},d(e){e&&(t(ne),t(te),t(se),t(le),t(P),t(oe),t(T),t(me),t(ie),t(b),t(de),t(y),t(fe),t(x),t(ce),t(ue),t(V),t(pe),t(k),t(ge),t(q),t($e),t(j),t(ve),t(B),t(_e),t(he),t(g),t(be),t(ye),t(N),t(xe),t(re)),t(h),p(C,e),p(L,e),p(D),p(M),p(z),p(I,e),p(S),p(H),p(U),p(A),p(G),p(O,e),p(W),p(F,e),p(K)}}}const at='{"title":"General Utilities","local":"general-utilities","sections":[{"title":"Enums and namedtuples","local":"transformers.utils.ExplicitEnum","sections":[],"depth":2},{"title":"Special Decorators","local":"transformers.add_start_docstrings","sections":[],"depth":2},{"title":"Special Properties","local":"transformers.utils.cached_property","sections":[],"depth":2},{"title":"Other Utilities","local":"transformers.utils._LazyModule","sections":[],"depth":2}],"depth":1}';function nt(Se){return Ye(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class it extends Ze{constructor(h){super(),et(this,h,nt,rt,Qe,{})}}export{it as component};
